Bug 145168 - loop: Unknown parameter `'
loop: Unknown parameter `'
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2005-01-14 17:32 EST by Stig Hackvan
Modified: 2015-01-04 17:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-16 09:29:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2005-01-14 17:32:35 EST
Description of problem:

after upgrading to kernel 2.6.10-1.741_FC3, loopback devices stopped
working for me.  my modules.conf contains "options loop max_loop=16"
(with no trailing space) and the kernel logs the error message:

         "loop: Unknown parameter `'"

when i try to mount this line in my fstab:

/fcd     iso9660 loop,ro 0 0

even removing the modules.conf line, it fails to load:

## stig/usul (pts/0) -- 0 jobs -- Fri Jan 14 -- 14:30:50 ##
## /etc >> cat modules.conf
#options loop max_loop=16

alias eth0 sis900
alias eth1 8139too

alias scsi_hostadapter initio
alias usb-controller usb-ohci
alias usb-controller1 usb-uhci
alias usb-controller2 ehci-hcd

alias sound-slot-0 es1371
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L
>/dev/null 2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S
>/dev/null 2>&1 || :
# Note: for use under 2.6, changes must also be made to modprobe.conf!
## stig/usul (pts/0) -- 0 jobs -- Fri Jan 14 -- 14:31:12 ##
## /etc >> modprobe loop
FATAL: Error inserting loop
(/lib/modules/2.6.10-1.741_FC3/kernel/drivers/block/loop.ko): Unknown
symbol in module, or unknown parameter (see dmesg)
Comment 1 Dave Jones 2005-01-14 23:17:56 EST
(/lib/modules/2.6.10-1.741_FC3/kernel/drivers/block/loop.ko): Unknown
symbol in module, or unknown parameter (see dmesg)

what does it say in dmesg ?
Comment 2 Stig Hackvan 2005-01-15 12:00:08 EST
well i rebooted, so you get before and after...

before (kernel-2.6.9-1.724_FC3):

  Jan 14 19:16:18 usul kernel: loop: Unknown parameter `'
  Jan 14 19:16:18 usul kernel: loop: loaded (max 16 devices)

  NOTE: the loop module is loaded and the loopback filesystem is mounted.

after (kernel-2.6.10-1.741_FC3):

  Jan 14 18:43:53 usul kernel: loop: Unknown parameter `'

  NOTE: the loop module doesn't load and the filesystem is not mounted.


so it may seem that the parameter checking is just more strict, but
the error seems bogus in the first place!  It appears even with the
loop line in modules.conf commented out, and there don't seem to be
any loop-oriented parameters coming from the kernel command line (via
grub) or the fstab entry...  and fstab's irrelevant when i attempt to
load loop.ko with modprobe.
Comment 3 Trond Eivind Glomsrød 2005-01-16 07:30:10 EST
This happens to the bttv module as well, in kernel-2.6.10-1.741_FC3 on
x86_64 (from dmesg):

bttv: Unknown parameter `'

Comment 4 Trond Eivind Glomsrød 2005-01-16 07:33:56 EST
Removing the line "options bttv card=100" gets rid of the message.
Running modprobe bttv with the same option on the commandline works.
Comment 5 Sebastian Buedenbender 2005-02-06 06:37:19 EST
This has to do with trailing spaces in /etc/modprobe.conf. I found 
some in lines that has been migrated from modules.conf. Removing 
those fixes the problem.
Comment 6 Stig Hackvan 2005-02-09 16:37:32 EST
there are no trailing spaces in my /etc/modprobe.conf, so i beg to
differ.  Removing all the blank lines and comments from modprobe.conf
does nothing either.  (kernel 2.6.10-1.741_FC3)

I find a few blank lines and a comment, so whitespace-in-general may
be a problem, but it's not limited to trailing space...
Comment 7 Dave Jones 2005-02-12 23:18:00 EST
any improvement with the latest kernel(s) ?
Comment 8 Trond Eivind Glomsrød 2005-02-16 09:29:19 EST
Works fine with the newest errata kernel.

Note You need to log in before you can comment on or make changes to this bug.